Subject: Re: bug#28033: [PATCH] Add new face 'header-line-highlight'

From: Eli Zaretskii <[email-masked]>
Date: Fri, 11 Aug 2017 19:15:30 +0300

> From: Alex <[email-masked]>
> Cc: [email-masked]
> Date: Wed, 09 Aug 2017 23:36:19 -0600
> 
> The problem is that the highlight face, which is used for highlighting
> links and other mouse-sensitive buffer text frequently, may not always
> look nice with the header-line face. I've attached a picture
> demonstrating one possible issue. In it, the header-line face has a :box
> attribute with line-width 4, but the highlight face does not. This
> results in the characters at the ends being clipped.
> 
> A new face allows for users to customize it to match the customization
> of the header-line face while not affecting all other uses of the
> highlight face.
> 
> I believe the use case of this face is very similar to
> 'mode-line-highlight', which was added quite a while ago.

Thanks, this makes sense.  But please add some of this rationale to
the documentation.

Also, it is preferable to have the first line of a NEWS item be a full
sentence, if possible.  In this case, I would just say

  ** New face 'header-line-highlight'.

and then follow that by the details.